
@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";
body {
    font-family: 'Poppins', sans-serif;
    background: #fafafa;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.bgc-primary {
    background-color:#092940;
}
.mainTitle {
    display: inline;
    color: #fff;
    font-size: 1.75rem;
    font-family:'Bodoni MT';
    font-weight:700;
    font-style:italic;
    display: inline-block;
}
#ncdaImg {
    display: inline-block;
    width: 70px;
    height: 70px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
.vertical {
    margin-top:15%;
}
.preloader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: #092940;
}
.preloadSpinner {
    max-width:50px;
    -webkit-animation:spin 2s linear infinite;
    -moz-animation:spin 2s linear infinite;
    animation:spin 2s linear infinite;
}
@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }
/*rotates dropdown toggle arrow bassed on if it's expanded*/
.dropdown-toggle[aria-expanded="false"]:after, .dropdown-toggle[aria-expanded="false"]:before {
  transform: rotate(-90deg);
}
/*for the animation*/
.dropdown-toggle:after {
  transition: 0.5s;
}
.contactInfo {
    font-size:.85rem;
}
/* ---------------------------------------------------
    MODAL STYLE
----------------------------------------------------- */
.modal-header, .modal-footer {
    background-color:#092940;
    color: #fff;
    font-size: 2rem;
}
.modal-body {
    font-size:12px;
}
.modal-content {
    border: none;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    width: 100%;
}

#sidebar {
    width: 250px;
    position: fixed;
    padding-top: 68px;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 999;
    /*background: #7386D5;*/
    color: #fff;
    transition: all 0.3s;
}

#sidebar.active {
    margin-left: -250px;
}

#sidebar .sidebar-header {
    padding: 20px;
    /*background: #6d7fcc;*/
}

#sidebar ul.components {
    padding: 20px 5px 20px 0px;
    border-bottom: 1px solid #47748b;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
}

#sidebar ul li a:hover {
    color: #fff;
    background: #7386D5;
}

#sidebar ul li.active>a,
a[aria-expanded="true"] {
    /*color: #fff;*/
    /*background: #6d7fcc;*/
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}
ul li a {
    margin-bottom:5px;
}
ul ul a {
    font-size: 0.9em !important;
    padding-left: 20px !important;
    /*background: #6d7fcc;*/
}
ul ul ul li {
    font-size: 0.9em !important;
    padding-left: 10px !important;
    /*background: #6d7fcc;*/
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
    background: #fff;
    color: #092940 !important;
}

ul.CTAs a:hover {
    background: #6d7fcc !important;
    color: #fff !important;
}
.masterTocControl{
     width:100%;
}
.masterTocControllabel, 
.masterTocControllabel:focus {    
    background-color: #f8f8f8;
    color: #092940;
    border-radius: 4px;
}
.masterChexControl {
    margin-top:.8rem;
    margin-left:-1.0rem;
}
.submenu {
    padding-left: 5px;
}
/* ---------------------------------------------------
    NAVBAR STYLE
----------------------------------------------------- */

.fixed-top-custom {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
}

.navbar {
    padding: 15px 10px;
    /*background: #fff;*/
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.navbar-brand {
    display: inline-block;
    padding-top: 0px; 
    padding-bottom: 0px; 
    margin-right: 1rem;
    margin-left: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
}
.navbar > .container, .navbar > .container-fluid {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: flex-start;
}
/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: calc(100% - 250px);
    padding-top: 68px;
    min-height: 100%;
    height:100%;
    transition: all 0.3s;
    position: absolute;
    top: 0;
    right: 0;
}

#content.active {
    width: 100%;
}

/* ---------------------------------------------------
    ESRI Override Selector STYLE
----------------------------------------------------- */
.esri-widget {
    box-sizing: border-box;
    color: #323232;
    font-size: 14px;
    font-family: inherit;/*"Avenir Next W00","Helvetica Neue",Helvetica,Arial,sans-serif;*/
    line-height: 1.3em;
    background-color: #fff;
}

.esri-zoom {
    background-color: #fff;
}

.esri-popup__main-container {
    /*outline: none;
    pointer-events: auto;
    position: relative;
    z-index: 1;
    width: 340px;
    max-height: 300px;*/
    background-color: #fff;
    /*display: flex;
    flex-flow: column nowrap;*/
}


/* ---------------------------------------------------
    BASEMAP Selector STYLE
----------------------------------------------------- */
.mapHandler {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
}

.basemapToggle {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 2;
}
.select-style {  
    border: 1px solid #57585A;
    border-radius: 5px;
    overflow: hidden;
}
.select-style select {
    padding: 4px 6px;
    border: 1px solid #57585A;
    border-radius: 5px;
    box-shadow: none;
    /*background-color:#6D764C;*/
    color: white;
}
.select-style select:focus {
    outline: none;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }
    #sidebar.active {
        margin-left: 0;
    }
    #content {
        width: 100%;
        min-height: 100%;
    }
    #content.active {
        /*width: calc(100% - 250px);*/
    }
    #sidebarCollapse span {
        display: none;
    }
    canvas {
        cursor: pointer;
    }
    .mapHandler {
        cursor: pointer;
    }
}
@media (max-width: 438px) {
    .mainTitle {
        font-size:5vw;
    }
}
@media (max-width: 338px) {
    .mainTitle {
        font-size:4vw;
    }
    /*#ncdacsLogo {
        display: none !important;
    }*/
}
@media (max-width: 298px) {
    .mainTitle {
        display: none;
    }
}